'use strict';

module.exports = {
    bower: {
        files: 'bower.json',
        tasks: ['wiredep']
    },
    js: {
        files: [
            '<%= paths.frontend_js %>',
            'grunt-config/*.js'
        ],
        tasks: ['jsdev']
    },
    py: {
        files: 'accountant/**/*.py',
        tasks: ['pydev']
    },
    html: {
        files: [
            'accountant/frontend/templates/**/*.html',
            'accountant/frontend/static/templates/**/*.html'
        ],
        tasks: ['htmldev']
    },
    gruntfile: {
        files: ['Gruntfile.js', 'grunt-config/*.js']
    },
    requirements: {
        files: ['requirements.txt'],
        tasks: ['shell:pip_install']
    }
};
